GET/boletos/{id}

Obter Boleto

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Boleto Emitido
object

Response with information related to an issued boleto

idrequiredstring

Identificador principal

amountrequirednumber

Valor do Boleto

statusrequiredstring

Status atual do boleto. - `OPEN`: o boleto foi emitido e está aguardando pagamento. - `PAID`: o boleto foi pago (veja `paidAt`, `amountPaid`, `paymentOrigin`). - `OVERDUE`: a data de vencimento passou e o boleto não foi pago. - `CANCELLED`: o boleto foi cancelado pelo emissor. - `PROTESTED`: o boleto foi enviado para um processo de protesto/buro de crédito.

OPENPAIDOVERDUECANCELLEDPROTESTED
seuNumerorequiredstring

Seu identificador para este boleto

dueDaterequiredstring (date-time)

Data de vencimento do boleto

payerrequiredobject
taxNumberrequiredstring

Payer tax number (CPF/CNPJ)

personTypestring

Type of person (individual or business)

namerequiredstring

Payer name

addressStreetstring

Payer street address

addressNumberstring

Payer address number

addressComplementstring

Additional address information

addressNeighborhoodstring

Payer neighborhood

addressCitystring

Payer city

addressStaterequiredstring

Payer state

addressZipCoderequiredstring

Payer ZIP code

emailstring

Payer email

dddstring

Payer area code

phoneNumberstring

Payer phone number

pixQrstring

Código QR PIX para pagamento

digitableLinerequiredstring

Linha digitável do Boleto

nossoNumerostring

Identificador interno do banco para o boleto

barcoderequiredstring

Código de barras do Boleto

boletoConnectionIdrequiredstring (uuid)

ID da conexão do boleto usada para criar este boleto

createdAtrequiredstring (date-time)

Data em que o boleto foi criado

amountPaidnumber | null

Valor que foi pago por este boleto

paymentOriginstring | null

Origem do pagamento quando o boleto é pago

PIXBOLETOnull
fineobject | null

Informações detalhadas sobre pagamento atrasado

valuenumber

Fine value

typestring

Type of fine calculation

PERCENTAGEFIXED
interestobject

Informações sobre juros para pagamento atrasado

valuenumber

Interest value

typestring

Type of interest calculation

PERCENTAGE
paidAtstring (date-time)

Data em que o boleto foi pago

Example response

json
{
  "id": "string",
  "amount": 0,
  "status": "OPEN",
  "seuNumero": "string",
  "dueDate": "2024-01-01T00:00:00Z",
  "payer": {
    "taxNumber": "string",
    "personType": "string",
    "name": "string",
    "addressStreet": "string",
    "addressNumber": "string",
    "addressComplement": "string",
    "addressNeighborhood": "string",
    "addressCity": "string",
    "addressState": "string",
    "addressZipCode": "string",
    "email": "string",
    "ddd": "string",
    "phoneNumber": "string"
  },
  "pixQr": "string",
  "digitableLine": "string",
  "nossoNumero": "string",
  "barcode": "string",
  "boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-01T00:00:00Z",
  "amountPaid": 0,
  "paymentOrigin": "PIX",
  "fine": {
    "value": 0,
    "type": "PERCENTAGE"
  },
  "interest": {
    "value": 0,
    "type": "PERCENTAGE"
  },
  "paidAt": "2024-01-01T00:00:00Z"
}
curl -X GET \
'https://api.pluggy.ai/boletos/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"id": "string",
"amount": 0,
"status": "OPEN",
"seuNumero": "string",
"dueDate": "2024-01-01T00:00:00Z",
"payer": {
"taxNumber": "string",
"personType": "string",
"name": "string",
"addressStreet": "string",
"addressNumber": "string",
"addressComplement": "string",
"addressNeighborhood": "string",
"addressCity": "string",
"addressState": "string",
"addressZipCode": "string",
"email": "string",
"ddd": "string",
"phoneNumber": "string"
},
"pixQr": "string",
"digitableLine": "string",
"nossoNumero": "string",
"barcode": "string",
"boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-01T00:00:00Z",
"amountPaid": 0,
"paymentOrigin": "PIX",
"fine": {
"value": 0,
"type": "PERCENTAGE"
},
"interest": {
"value": 0,
"type": "PERCENTAGE"
},
"paidAt": "2024-01-01T00:00:00Z"
}